#include <iostream>
#include <vector>
#include <bits/stdc++.h>
using namespace std;
int main(){

	long long max,min;
	int i,n,jozefK,j,l,c,b;

	cin>>n;
	cin>>jozefK;
	b=jozefK;
	c=1;
	vector <int> a(n);

	
	for (i=0;i<n;i++){
		cin>>a[i];
	}


	if(n>2){
	
		if (a[0]>=a[n-1]){
			for(j=0;j<n-2;j++){
					a[n-1]=a[n-1]-a[j];			
			}
			cout<<a[n-2]-a[n-1];
		}
		if (a[n-1>a[0]]){
				for(j=n-1;j>1;j--){
				a[0]=a[0]-a[j];			
			}
			cout<<a[1]-a[0];
		}
	
	}
	else if (n==1) cout <<a[0];
	else if (n==2) cout<<abs(a[0]-a[1]);
	

}